%define subrel 1
%define perl_version %(perl -MConfig -e 'print $Config{version}')

Summary: The drakxtools (diskdrake, ...)
Name:    drakxtools
Version: 14.22.4
Release: %mkrel 1
Url:     http://mageia.org/
Source0: %name-%version.tar.xz
#NO PATCH ALLOWED
# FROM SVN:
License: GPLv2+
Group: System/Configuration/Other
# usermode 1.92-4 has the /etc/pam.d/%_real_vendor-{simple,console}-auth
# files to which we symlink
Requires: %{name}-curses = %version-%release, perl-Gtk2 >= 1.220, perl-Glib >= 1.072-1, usermode >= 1.92-4, perl-Net-DBus, perl-Gtk2-WebKit
#Requires:  mageia-doc-common
# needed by drakfont (eg: type1inst):
Requires: font-tools
Requires: libxxf86misc
# needed by any::enable_x_screensaver()
Requires: xset
Requires: drakx-net
Requires: drakconf-icons
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Requires: gurpmi >= 5.7
Requires: ldetect-lst >= 0.1.291
BuildRequires: gettext, ldetect-devel >= 0.9.0, ncurses-devel, perl-devel >= 1:5.8.0-20, perl-MDK-Common-devel >= 1.1.8-3
BuildRequires: parted-devel
BuildRequires: drakx-installer-binaries intltool
Provides: draksec
Obsoletes: draksec
%define _requires_exceptions perl(Net::FTP)\\|perl(Time::localtime)\\|perl(URPM)\\|perl(Xconfig.*)

%package curses
Summary: The drakxtools (diskdrake, ...)
Group: System/Configuration/Other
Requires: perl-base >= 2:5.8.6-1, urpmi >= 4.8.23, usermode-consoleonly >= 1.44-4
Requires: perl-Locale-gettext >= 1.05-4mdv2007
Requires: module-init-tools
Requires: %{name}-backend = %version-%release
Requires: drakx-net-text
Obsoletes: diskdrake kbdconfig mouseconfig setuptool drakfloppy
Obsoletes: drakxtools-newt
Provides: diskdrake, kbdconfig mouseconfig setuptool, drakfloppy = %version-%release
Provides: drakxtools-newt = %version-%release
%define _requires_exceptions perl(Gtk2::WebKit)\\|perl(Xconfig::various)

%package backend
Summary: Drakxtools libraries and background tools 
Group: System/Configuration/Other
Requires: dmidecode
Requires: perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires: perl-suid
# for common::wrap_command_for_root()
Requires: perl-String-ShellQuote
# XS modules are not installed in standard perl path, and thus not found by find-requires (#3731)
Requires: perlapi-%perl_version
# "post" here means %triggerpostun:
Requires(post): perl-MDK-Common >= 1.2.13

%package http
Summary: The drakxtools via http
Group: System/Configuration/Other
Requires: %{name}-curses = %version-%release, perl(Net::SSLeay) >= 1.22-1, perl-Authen-PAM >= 0.14-1, perl-CGI >= 2.91-1
Requires(pre): rpm-helper
Requires(post): rpm-helper

%package -n drakx-finish-install
Summary: First boot configuration
Group: System/Configuration/Other
Requires: %{name} = %version-%release
Requires: drakx-installer-matchbox

%package -n harddrake
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration/Hardware
Requires: %{name}-curses = %version-%release
Obsoletes: kudzu, kudzu-devel, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Provides: kudzu = %version, kudzu-devel = %version, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires: libdrakx-net drakx-kbd-mouse-x11 drak3d
Requires: meta-task

%package -n harddrake-ui
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration/Hardware
Requires: %name = %version-%release
Requires: sane-backends
Requires: libdrakx-net drakx-kbd-mouse-x11 drak3d

%description
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- drakbug: interactive bug report tool
- drakbug_report: help find bugs in DrakX
- drakclock: date & time configurator
- drakfloppy: boot disk creator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- drakperm: msec GUI (permissions configurator)
- draksec: security options managment / msec frontend

%description backend
See package %name

%description curses
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakautoinst: help you configure an automatic installation replay
- drakboot: configures your boot configuration (Lilo/GRUB,
  Bootsplash, X, autologin)
- drakkeyboard: configure your keyboard (both console and X)
- draklocale: language configurator, available both for root
  (system wide) and users (user only)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- drakxtv: auto configure tv card for xawtv grabber
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mageia tools found in the drakxtools
package.

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication


%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.
It then offer to run needed config tool to update the OS
configuration.


%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.
It offers a nice GUI that show the hardware configuration splitted by
hardware classes.


%prep
%setup -q
%apply_patches
# needed when tarball cames from git-svn:
cd perl-install; [ -f Makefile.drakxtools ] && mv Makefile.drakxtools Makefile

%build
%make -C perl-install CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%make -C perl-install PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch $RPM_BUILD_ROOT/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd $RPM_BUILD_ROOT ; find $dirs1 usr/bin usr/sbin ! -type d -printf "/%%p\n")|egrep -v 'bin/.*harddrake' > %{name}.list
(cd $RPM_BUILD_ROOT ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/dbus_object\.pm|Xdrakres|clock|display_help|display_release_notes.pl|drak(bug|clock|dvb|floppy|font|hosts|log|perm|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

#mga menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart

cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/kernel <<EOF
KERNEL=2.6
EOF

mv $RPM_BUILD_ROOT%_sbindir/service_harddrake_confirm $RPM_BUILD_ROOT%_datadir/harddrake/confirm

chmod +x $RPM_BUILD_ROOT{%_datadir/harddrake/{conf*,service_harddrake},%_sysconfdir/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf

# consolehelper config
#

# - console user, no password
for pak in drakclock drakkeyboard drakmouse; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=<user>
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-console-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

# console user, ask for user password
for pak in drakfont; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=<user>
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

# console user, ask for root password
for pak in drakups drakauth draklog drakxservices drakboot; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

%find_lang libDrakX
%find_lang libDrakX-standalone
cat libDrakX.lang libDrakX-standalone.lang >> %name.list

%check
cd perl-install
%make check

%clean
rm -rf $RPM_BUILD_ROOT

%post
%make_session
[[ ! -e %_sbindir/kbdconfig ]] && %__ln_s -f keyboarddrake %_sbindir/kbdconfig
[[ ! -e %_sbindir/mouseconfig ]] && %__ln_s -f mousedrake %_sbindir/mouseconfig
:

%postun
%make_session
for i in %_sbindir/kbdconfig %_sbindir/mouseconfig %_bindir/printtool;do
    [[ -L $i ]] && %__rm -f $i
done
:

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | fgrep -q perl && %_datadir/harddrake/convert || :

%triggerpostun backend -- drakxtools-backend < 11.44
echo "Migrating /etc/fstab and bootloader configuration to use UUIDs. Previous files are saved with extension .before-migrate-to-uuids"
%_sbindir/bootloader-config --action migrate-to-uuids ||:

%triggerpostun backend -- drakxtools-backend < 11.52
echo "Updating /etc/modprobe.preload.d/floppy"
perl -I/usr/lib/libDrakX -Mharddrake::autoconf -e 'harddrake::autoconf::floppy()' ||:

%triggerpostun backend -- drakxtools-backend < 14.1-2
if [ -w /boot/grub/menu.lst ]; then
  if grep -q splash= /boot/grub/menu.lst; then
    echo "Migrating kernel commandline bootsplash arguments in grub"
    sed -i 's/ splash=silent / splash quiet /;s/ splash=silent$/ splash quiet/;s/ splash=verbose / /;s/ splash=verbose$//;' /boot/grub/menu.lst
  fi
fi

%triggerpostun -n harddrake -- harddrake < 11.62-2
rm -f /etc/rc.d/*/{K,S}??harddrake

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf
%attr(4755,root,root) %_sbindir/fileshareset

%files curses -f %name.list
%{_datadir}/applications/localedrake*.desktop
#%doc perl-install/diskdrake/diskdrake.html
%_iconsdir/localedrake.png
%_iconsdir/large/localedrake.png
%_iconsdir/mini/localedrake.png
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakups
%{_bindir}/drakauth
%{_bindir}/draklog
%{_bindir}/drakxservices
%{_bindir}/drakboot
%config(noreplace) %{_sysconfdir}/security/console.apps/drakkeyboard
%config(noreplace) %{_sysconfdir}/security/console.apps/drakmouse
%config(noreplace) %{_sysconfdir}/security/console.apps/drakups
%config(noreplace) %{_sysconfdir}/security/console.apps/drakauth
%config(noreplace) %{_sysconfdir}/security/console.apps/draklog
%config(noreplace) %{_sysconfdir}/security/console.apps/drakxservices
%config(noreplace) %{_sysconfdir}/security/console.apps/drakboot
%config(noreplace) %{_sysconfdir}/pam.d/drakkeyboard
%config(noreplace) %{_sysconfdir}/pam.d/drakmouse
%config(noreplace) %{_sysconfdir}/pam.d/drakups
%config(noreplace) %{_sysconfdir}/pam.d/drakauth
%config(noreplace) %{_sysconfdir}/pam.d/draklog
%config(noreplace) %{_sysconfdir}/pam.d/drakxservices
%config(noreplace) %{_sysconfdir}/pam.d/drakboot

%files -f %{name}-gtk.list
%{_bindir}/drakclock
%{_bindir}/drakfont
%config(noreplace) %{_sysconfdir}/security/console.apps/drakclock
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfont
%config(noreplace) %{_sysconfdir}/pam.d/drakclock
%config(noreplace) %{_sysconfdir}/pam.d/drakfont

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %_sysconfdir/sysconfig/harddrake2/kernel
%dir %_datadir/harddrake/
%_datadir/harddrake/*
%_sysconfdir/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%_sysconfdir/X11/xinit.d/harddrake2

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%_sbindir/harddrake2
%_datadir/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%_iconsdir/large/harddrake.png
%_iconsdir/mini/harddrake.png
%_iconsdir/harddrake.png

%files -n drakx-finish-install
%config(noreplace) %_sysconfdir/sysconfig/finish-install
%_sysconfdir/X11/xsetup.d/??finish-install.xsetup
%_sbindir/finish-install

%files http -f %{name}-http.list
%dir %_sysconfdir/drakxtools_http
%config(noreplace) %_sysconfdir/pam.d/miniserv
%_sysconfdir/init.d/drakxtools_http
%config(noreplace) %_sysconfdir/drakxtools_http/conf
%config(noreplace) %_sysconfdir/drakxtools_http/authorised_progs
%config(noreplace) %_sysconfdir/logrotate.d/drakxtools-http





%changelog

* Mon Apr 15 2013 tv <tv> 14.22.4-1.1.mga2
+ Revision: 410165
- diskdrake:
  o fix removing LVM entries when saving /etc/fstab (mga#5811)
  o offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)
- drakclock:
  o do not crash if timezones cannot be listed (mga#6787)
- fix crashing when a banner icon doesn't exist (mga#5223)
- do not crash when trying to guess homedir before running another
  process (mga#7403)
- drakbug:
  o fix preselecting "RPM package" (Manuel Hiebel, mga#7380)
- autologin:
  o support lxdm & slim too (#3715, Derek Jennings)
  o install autologin for lxdm & slim too
- drakauth: don't update UsePAM option in sshd configuration
- drakboot:
  o do not crash if trying to build initrd from unknown partitions (mga#4290)
  o do not crash if a foreign partition is not mounted (mga#6966)
  o install acpi & acpid at once
- drakxservices:
  o when listing services ensure disabled services that can be enabled are
    shown (mga#6843)
- fix crashing when a banner icon doesn't exist (mga#5223)
- autologin:
  o support lxdm & slim too (#3715, Derek Jennings)
  o install autologin for lxdm & slim too
- drakauth: don't update UsePAM option in sshd configuration
- drakboot:
  o do not crash if trying to build initrd from unknown partitions (mga#4290)
  o do not crash if a foreign partition is not mounted (mga#6966)
  o install acpi & acpid at once
- drakxservices:
  o when listing services ensure disabled services that can be enabled are
    shown (mga#6843)
- fix crashing when a banner icon doesn't exist (mga#5223)
- harddrake2: allow writing 0 as module option, and forbid options
  with spaces (#5839, from Colin)
- export res_init function to perl lib

  + colin <colin>
    - drakxservices: when listing services ensure disabled services that can be enabled are shown (mga#6843)

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234810
- diskdrake:
  o drop support for reiser4 (mga#5680)
- harddrake service:
  o do not disable cpufreq on non-laptops
  o remove double apmd check

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234179
- drakxservices:
  o use non-blocking mode for service restart (mga#4439)

* Wed Apr 25 2012 tmb <tmb> 14.11-1.mga2
+ Revision: 233212
- drop P0 (merged)

  + tv <tv>
    - finish-install: make sure sbin is added to PATH
    - harddrake:
      o list "zc3xx" driven as webcams (mga#5449)
    - interactive::curses:
      o make sure ranges are always within limits (mga#646)
    - ensure swap partition is activated in dracut (e.g. for swap on LVM, RAID etc)
    - drakboot:
      o display mountpoint if available, and size+fs_type if we have nothing
        else (mga#5460)
    - diskdrake:
      o do not set fs_type to ext4 for raw LVM/RAID/LUKS
      o detect LVM on top on Encrypted partitions (mga#5330)
    - drakxservices:
      o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
    - s/XFree/X.org/ in description (mga#5443)

* Tue Apr 17 2012 tmb <tmb> 14.3-2.mga2
+ Revision: 231138
- finish-install: make sure sbin is added to PATH (blino)

* Sat Apr 07 2012 pterjan <pterjan> 14.3-1.mga2
+ Revision: 229464
- diskdrake:
  o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228745
- harddrake service:
  o cpufreq performance governor is no longer a module
  o reduce default timeout from 10 to 2mn (mga#4772)

* Sun Mar 25 2012 colin <colin> 14.1-2.mga2
+ Revision: 226393
- Migrate grub bootsplash params to new style: 'splash quiet' rather than 'splash=silent' (mga#3430)

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225989
- drop very old conflicts
- drakauth:
  o fix actually displaying "Domain Windows for authentication"
- drakboot:
  o use "splash" on the kernel command line vs. "splash=silent" as per upstream
    code (e.g. plymouth, systemd and others)
  o support the "quiet" kernel command line argument to hide kernel text
- drakbug, draksec, drakxhelp, logdrake:
  o fix displaying "Mageia"
- harddrake:
  o fix detecting bluetooth devices

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223105
- fix mgaapplet crashing on live migration when there's a new major version of
  perl (mga#3042)
- reduce resident memory of net_applet (5Mb aka 11%%) & mgapplet (7Mb aka 14%%)

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222576
- english message improvement (mga#456)
- diskdrake:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Sun Mar 04 2012 tv <tv> 13.89.2-1.mga2
+ Revision: 218206
- redo properly the tarball (mga#4783)

* Fri Mar 02 2012 anssi <anssi> 13.89.1-1.mga2
+ Revision: 216897
- service_harddrake:
  o recognize XZ compressed proprietary driver modules properly (mga#4767)

* Wed Feb 29 2012 tv <tv> 13.86-1.mga2
+ Revision: 216016
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)
- recognize more HID drivers (mga#4129)

* Mon Feb 13 2012 tv <tv> 13.81-1.mga2
+ Revision: 208473
- localedrake:
  o add hime
  o remove chinput, kinput2, oxim, xcin
- make drakclock systemd compatible
- fix crashing on parsing garbaged DMI info (mga#4329)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)

* Wed Jan 25 2012 tv <tv> 13.79-1.mga2
+ Revision: 201357
- silent failure to extract gz modules (for rescue)
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200365
- add support for XZ modules
- diskdrake:
  o enable to set LV names when not in expert mode
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Fri Jan 06 2012 tv <tv> 13.74-2.mga2
+ Revision: 192029
- rebuild with new libldetect, saving quite a lot of RAM

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187097
- sync version with stage2
- fix mdv references

* Sat Dec 24 2011 tmb <tmb> 13.73-1.mga2
+ Revision: 187083
- drakboot:
  o display partition labels in list instead of just disk names in "boot
    device" choice
  o display partition labels when adding a foreign OS
- harddrake: fix missing names (mga#3745)
- interactive::curses: default to 80x25 (fixes serial)
- dont force init=/bin/systemd (#3856, already fixed in svn by blino)
- drop buildroot and defattr

* Thu Dec 15 2011 blino <blino> 13.72.1-2.mga2
+ Revision: 181664
- add explicit perlapi requires (#3731) since find-requires won't find XS modules in non-standard perl path

* Sun Dec 11 2011 tv <tv> 13.72.1-1.mga2
+ Revision: 180612
- fix $HOME for all when runing as another user instead of root (mga#287)
- harddrake: fix crash after mismerge (mga#3696)

* Sat Dec 10 2011 tv <tv> 13.72-1.mga2
+ Revision: 180110
- drakhelp: make it work somewhat despite lack of doc
- prevent net_applet to crash on notifications without icons (mga#2876)
- harddrake:
  o do not display some bluetooth stuff as unknown (mga#1460)
  o prevent detecting some soft modems as scanners (mga#2753)

* Sun Dec 04 2011 anssi <anssi> 13.71-1.mga2
+ Revision: 175822
- service_harddrake:
  o better notification message when the driver has been automatically
    switched
  o show a correct warning message when a proprietary driver is loaded while
    a free driver is configured
  o fix driver switch failing to alter xorg.conf when the Driver line doesn't
    contain default whitespacing (reported by Barry Jackson)

* Sun Nov 27 2011 tv <tv> 13.70.2-1.mga2
+ Revision: 172854
- fix crashing on creating temp file if temp dir doesn't exist (mga#1396)

* Tue Nov 22 2011 tv <tv> 13.70.1-1.mga2
+ Revision: 171084
- drakbug:
  o do not keep around the segfaulted process once we collected all needed data
    when running drakbug
  o regroup misc data in bugzilla

* Tue Nov 22 2011 tv <tv> 13.70-1.mga2
+ Revision: 171045
- drakbug:
  o report the gtk+ theme in use (#3127) which explain some crashes (eg: #2679)
  o include better C traces in reports
  o remove top of traces that is inside bug handler from report
  o no more run GDB (too late & faster)

* Thu Oct 20 2011 tv <tv> 13.63-2.mga2
+ Revision: 156940
- rebuild for new ldetect

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140919
- drop patch 0 (merged)
- finish-install:
  o "Multi languages" => "Multiple languages" (mga#1011)
- diskdrake:
  o always align partitions to start at megabyte boundaries to avoid
    performance issues with drives with 4k physical sectors (mga#1215)
- patch 0: fix LSB keywords
- drop patch0 (merged upstream)
- disdrake:
  o spaces are not allowed between options in /etc/fstab (#2271)
- drakfont:
  o rename Ooo as LibreOffice (#461)
  o enable support for LibreOffice/gs/... only if available (#461)
- fix bootloader entries names
- any.pm:
  o Add lxsession to the wm list, and add lxde-logout as the
    ask_window_manager_to_logout command (mga#1395)
  o share some kernel check's code for drakx-net (#1266)

  + tmb <tmb>
    - fix version detection for naming of bootloader entries
      * before: title 2 3.0.0-desktop-1.mga
      * after:  title desktop 3.0.0-1.mga2

* Tue Jul 19 2011 fwang <fwang> 13.59-2.mga2
+ Revision: 126188
- rebuild for new parted

* Tue Jun 14 2011 dmorgan <dmorgan> 13.59-1.mga2
+ Revision: 106012
- Fix new libnotify API

* Sun Jun 12 2011 ahmad <ahmad> 13.58-2.mga2
+ Revision: 105356
- Rebuild for perl-5.14.0

* Thu May 26 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100540
-update translations
- fix top banner

* Fri May 20 2011 blino <blino> 13.55-1.mga1
+ Revision: 99831
- 13.55
- finish-install: do not try to replace home path for device files
  after live install (#1148)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99705
- draksound:
  o Robustify the PulseAudio configs (don't try and write files if they
    do not exists. Doing so previously would result in blank files that then
    causes problems when installing PulseAudio as the "config" files are not
    overwritten properly which can result in broken PA startup)
  o Remove the "Enable 5.1..." option. This is now done via card profiles
    in native GUIs for GNOME and KDE (or pavucontrol)
  o Remove the "Enable user switching..." option as it relies on HAL
    which is deprecated.
- scannerdrake: use skanlite instead of kooka
- any.pm: fix faces icons paths (mga#1315)
- fix reading security level with new msec (mga#332)

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98780
- diskdrake: disbale encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Thu May 12 2011 ennael <ennael> 13.51-1.mga1
+ Revision: 97560
- update icons for harddrake

* Fri May 06 2011 tv <tv> 13.50-1.mga1
+ Revision: 95562
- bind more pciutils/libldetect for stage1
- localedrake:
  o use proper locales-XX packages for Albanian (#1036)

  + dmorgan <dmorgan>
    - imported package drakxtools

